# VkTransformMatrixKHR(3) Manual Page

## Name

VkTransformMatrixKHR - Structure specifying a 3x4 affine transformation matrix

## C Specification

The `VkTransformMatrixKHR` structure is defined as:

    typedef struct VkTransformMatrixKHR {
        float    matrix[3][4];
    } VkTransformMatrixKHR;

or the equivalent

    typedef VkTransformMatrixKHR VkTransformMatrixNV;

## Members

- `matrix` is a 3x4 row-major affine transformation matrix.

## Description

## See Also

VkAccelerationStructureInstanceKHR

## Document Notes

For more information, see the Vulkan Specification

This page is extracted from the Vulkan Specification. Fixes and changes should be made to the Specification, not directly.

## Copyright

Copyright (c) 2014-2020 Khronos Group. This work is licensed under a Creative Commons Attribution 4.0 International License.